Bug 139040 - usrquota,grpquota should be default mounting options
usrquota,grpquota should be default mounting options
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-11-12 12:55 EST by Florian Effenberger
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-18 08:55:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florian Effenberger 2004-11-12 12:55:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
usrquota,grpquota should be default mounting options
in file /etc/fstab for the hard disk partitions

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Bill Nottingham 2004-11-12 14:41:33 EST
anaconda writes the original fstab.
Comment 2 Jeremy Katz 2004-11-12 14:53:16 EST
One offing options for filesystems is _wrong_.  If it should be the
default, then it should be the default without tweaking in every
application that might ever doing mounting.
Comment 3 Florian Effenberger 2004-11-13 05:19:23 EST
Hm, I think that quota is not this seldom. Maybe the quota package 
could automatically append the mounting options? Or better, maybe the 
disk druid/partition manager in anaconda could offer this?
Comment 4 Stephen Tweedie 2004-11-17 19:09:41 EST
The question was not about tweaking all mounting applications, it was
about setting options in fstab (where they should be picked up by
other apps automatically.)

I don't see the urgency of this, given that enabling quotas is fairly
involved --- just mounting doesn't do it, you also need to manually
create the quota files (that's not default either), and do a quotaon
on the newly-mounted filesystem. 

If we're not actually creating quota files by default, then I don't
think we should be adding the mount options either.

If the suggestion is to do the entire quota setup automatically in
anaconda, that's a different thing entirely.
Comment 5 Florian Effenberger 2004-11-18 01:03:28 EST
Okay, then let's include quota support in anaconda. ;-)
Comment 6 Jeremy Katz 2004-11-18 08:55:27 EST
Frankly, not going to happen :)

The setup is far too confusing and intimidating for most users who
aren't going to have a need for them.

Note You need to log in before you can comment on or make changes to this bug.